Subject: Re: [bug#43581] [PATCH] guix build: Add '--without-tests'.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 23 Sep 2020 23:37:04 +0200

Ludovic Courtès <[email-masked]> writes:

> * guix/scripts/build.scm (transform-package-tests): New procedure.
> (%transformations, %transformation-options)
> show-transformation-options-help): Add it.
> * tests/scripts-build.scm ("options->transformation, without-tests"):
> New test.
> * doc/guix.texi (Package Transformation Options): Document it.

This looks good to me.  It’s much more convenient for the casual user
than to clone the Guix repo and to edit the package definition there, or
to extend the package collection with GUIX_PACKAGE_PATH or even a
channel.

I suppose we’d have to fix all those packages that moved the check phase
without also checking for the “#:tests?” keyword.  There are quite a few
of those that thus wouldn’t be affected by “--without-tests”.

-- 
Ricardo